LMSPublicKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.lms

## Class LMSPublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.lms.LMSKeyParameters
    - - org.bouncycastle.pqc.crypto.lms.LMSPublicKeyParameters

- All Implemented Interfaces:
    CipherParameters, LMSContextBasedVerifier, Encodable

      public class LMSPublicKeyParameters
      extends LMSKeyParameters
      implements LMSContextBasedVerifier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LMSPublicKeyParameters(LMSigParameters parameterSet, LMOtsParameters lmOtsType, byte[] T1, byte[] I)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `LMSContext` | `generateLMSContext(byte[] signature)`
    `byte[]` | `getEncoded()` Return a byte array representing the implementing object.
    `byte[]` | `getI()`
    `static LMSPublicKeyParameters` | `getInstance(java.lang.Object src)`
    `LMSParameters` | `getLMSParameters()`
    `LMOtsParameters` | `getOtsParameters()`
    `LMSigParameters` | `getSigParameters()`
    `byte[]` | `getT1()`
    `int` | `hashCode()`
    `boolean` | `verify(LMSContext context)`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LMSPublicKeyParameters

          public LMSPublicKeyParameters(LMSigParameters parameterSet,
                                        LMOtsParameters lmOtsType,
                                        byte[] T1,
                                        byte[] I)

  - ### Method Detail

    - #### getInstance

          public static LMSPublicKeyParameters getInstance(java.lang.Object src)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      Description copied from interface: `Encodable`
      Return a byte array representing the implementing object.
      Specified by:
        `getEncoded` in interface `Encodable`
      Specified by:
        `getEncoded` in class `LMSKeyParameters`
      Returns:
        a byte array representing the encoding.
      Throws:
        `java.io.IOException` - if an issue arises generation the encoding.

    - #### getSigParameters

          public LMSigParameters getSigParameters()

    - #### getOtsParameters

          public LMOtsParameters getOtsParameters()

    - #### getLMSParameters

          public LMSParameters getLMSParameters()

    - #### getT1

          public byte[] getT1()

    - #### getI

          public byte[] getI()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### generateLMSContext

          public LMSContext generateLMSContext(byte[] signature)

      Specified by:
        `generateLMSContext` in interface `LMSContextBasedVerifier`

    - #### verify

          public boolean verify(LMSContext context)

      Specified by:
        `verify` in interface `LMSContextBasedVerifier`